Doomsday Engine - Bug #1849

[DOOM] FIREBLU in Plutonia
2014-08-02 23:12 - vermil

Status: Closed Start date: 2014-08-02
Priority: Normal % Done: 100%
Assignee: danij

Category: Vanilla emulation

Target version: 1.15

Description

I've just been re-reminded of this: It's technically not a bug, but is a bug.

There is a long standing oversight in Dday's ded's with Plutonia's FIREBLU animation.

Dday includes a material definition that makes FIREBLU1-2 full bright (for reference Vanilla Doom didn't support full bright
textures/flats), for the Doom1-2 and TNT animation. However, Plutonia also uses this material definition, when it actually needs it's

own due to the Plutonia animation having a different number of frames to the Doom1-2 and TNT animation.

This mistakenly causes the Plutonia animation (start of Map02) to flicker In brightness, when it calls the frames named FIREBLU1-2.

History

#1 - 2014-08-03 14:33 - skyjake
- Tags set to Definitions, Resources

- Category set to Vanilla emulation

#2 - 2014-10-05 19:16 - danij
- Status changed from New to In Progress
- Assignee set to danij

- Target version setto 1.15

#3 - 2014-10-05 19:23 - danij
- Status changed from In Progress to Closed

- % Done changed from 0 to 100
